Subject: Re: linux-next: manual merge of the rseq tree with Linus' tree

From: Mathieu Desnoyers <[email-masked]>
Date: Wed, 15 Nov 2017 16:12:12 +0000 (UTC)

----- On Nov 15, 2017, at 11:04 AM, Thomas Gleixner [email-masked] wrote:

> On Wed, 15 Nov 2017, Mathieu Desnoyers wrote:
>> ----- On Nov 15, 2017, at 10:22 AM, Thomas Gleixner [email-masked] wrote:
>> > Can we please handle this as any other feature which is not ready before
>> > the merge window and postpone the rseq stuff for 4.16?
>> 
>> Linus showed interest in merging the rseq tree when we discussed at the
>> Kernel Summit. The tree has not changed much since then. I only integrated
>> membarrier patches that were implemented around the time of the 4.14 merge
>> window, which I queued for the 4.15 (current) window.
> 
> Linus showed interest for a lot of things in the past. That does not mean
> it makes things magically complete and ready.
> 
> As Michael pointed out there is no man page, not even a draft for it
> available. See: Documentation/process/adding-syscalls.rst

The rseq commit has a manpage associated for seq. The cpu_opv does not have it
yet, nor the new membarrier commands. I plan to write those quickly after the
tree reaches master.

> Aside of that, since KS I have about 400 mails, i.e. 20 per work day,
> regarding this stuff in my inbox. Seriously from the sheer amount of
> discussion I had the impression that this in not yet in a shape to be
> merged.

The recent discussion thread was about core serialization vs migration, which is
a different topic that was raised by Andy Lutomirski. The other emails were RFC
sent out as last rounds of validation before doing the PR, and it seemed that
nobody had any objection left.

Thanks,

Mathieu

-- 
Mathieu Desnoyers
EfficiOS Inc.
http://www.efficios.com